OpenShot Audio Library | OpenShotAudio: juce::dsp::ProcessorChain< Processors > Class Template Reference

OpenShot Audio Library | OpenShotAudio 0.4.0 |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::dsp::ProcessorChain< Processors > Class Template Reference

`#include <juce_ProcessorChain.h>`

## Public Member Functions
template<int Index>
auto & | get () noexcept
template<int Index>
const auto & | get () const noexcept
template<int Index>
void | setBypassed (bool b) noexcept
template<int Index>
bool | isBypassed () const noexcept
void | prepare (const ProcessSpec &spec)
void | reset ()
template<typename ProcessContext>
void | process (const ProcessContext &context) noexcept

## Detailed Description

template<typename... Processors>
class juce::dsp::ProcessorChain< Processors >

This variadically-templated class lets you join together any number of processor classes into a single processor which will call process() on them all in sequence.

Definition at line 62 of file juce_ProcessorChain.h.

## Member Function Documentation

## ◆ get() [1/2]

template<typename... Processors>
template<int Index>

const auto & juce::dsp::ProcessorChain< Processors >::get | ( |  | ) | const
| inlinenoexcept

Get a reference to the processor at index `Index`.

Definition at line 69 of file juce_ProcessorChain.h.

## ◆ get() [2/2]

template<typename... Processors>
template<int Index>

auto & juce::dsp::ProcessorChain< Processors >::get | ( |  | ) |
| inlinenoexcept

Get a reference to the processor at index `Index`.

Definition at line 66 of file juce_ProcessorChain.h.

## ◆ isBypassed()

template<typename... Processors>
template<int Index>

bool juce::dsp::ProcessorChain< Processors >::isBypassed | ( |  | ) | const
| inlinenoexcept

Query whether the processor at index `Index` is bypassed.

Definition at line 77 of file juce_ProcessorChain.h.

## ◆ prepare()

template<typename... Processors>

void juce::dsp::ProcessorChain< Processors >::prepare | ( | const ProcessSpec & | spec | ) |
| inline

Prepare all inner processors with the provided `ProcessSpec`.

Definition at line 80 of file juce_ProcessorChain.h.

## ◆ process()

template<typename... Processors>
template<typename ProcessContext>

void juce::dsp::ProcessorChain< Processors >::process | ( | const ProcessContext & | context | ) |
| inlinenoexcept

Process `context` through all inner processors in sequence.

Definition at line 93 of file juce_ProcessorChain.h.

## ◆ reset()

template<typename... Processors>

void juce::dsp::ProcessorChain< Processors >::reset | ( |  | ) |
| inline

Reset all inner processors.

Definition at line 86 of file juce_ProcessorChain.h.

## ◆ setBypassed()

template<typename... Processors>
template<int Index>

void juce::dsp::ProcessorChain< Processors >::setBypassed | ( | bool | b | ) |
| inlinenoexcept

Set the processor at index `Index` to be bypassed or enabled.

Definition at line 73 of file juce_ProcessorChain.h.

The documentation for this class was generated from the following file:

- juce_ProcessorChain.h